package com.simbir.account_sever.dto.params;

import com.simbir.account_sever.entities.role.UserRoleEntityId;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Size;

import java.util.List;

public record AdminCreateOrUpdateUserParams(

        @NotBlank(message = "{user.username.notblank}")
        @Size(max = 128, message = "{user.username.size}")
        String username,

        @NotBlank(message = "{user.password.notblank}")
        @Size(max = 128, message = "{user.password.size}")
        String password,

        List<UserRoleEntityId.Role> roles
) {}