package com.simber.market.mappers;

import com.simber.market.dto.ProductDto;
import com.simber.market.entities.ProductEntity;
import org.mapstruct.*;

@Mapper(unmappedTargetPolicy = ReportingPolicy.IGNORE, componentModel = MappingConstants.ComponentModel.SPRING)
public interface ProductEntityMapper {

    ProductEntity toEntity(ProductDto hospitalEntityDto);

    ProductDto toDto(ProductEntity hospitalEntity);

    @BeanMapping(nullValuePropertyMappingStrategy = NullValuePropertyMappingStrategy.IGNORE)
    ProductEntity partialUpdate(ProductDto hospitalEntityDto, @MappingTarget ProductEntity hospitalEntity);
}
