package com.simber.payment.purchase.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

@FeignClient(name = "purchase-service", url = "${feign.clients.purchase.url}")
public interface PurchaseClient {

    @PostMapping("/Purchase/{id}/Status/Paid")
    void updateStatusToPaid(@PathVariable Long id);
}
