package com.simber.purchase.mappers;

import com.simber.purchase.dto.PurchaseDto;
import com.simber.purchase.entities.PurchaseEntity;
import org.mapstruct.*;

@Mapper(unmappedTargetPolicy = ReportingPolicy.IGNORE, componentModel = MappingConstants.ComponentModel.SPRING)
public interface PurchaseMapper {
    PurchaseEntity toEntity(PurchaseDto userEntityDto);

    PurchaseDto toDto(PurchaseEntity userEntity);

    @BeanMapping(nullValuePropertyMappingStrategy = NullValuePropertyMappingStrategy.IGNORE)
    PurchaseEntity partialUpdate(PurchaseDto userEntityDto, @MappingTarget PurchaseEntity userEntity);

}
