package com.simber.purchase.services;

import com.simber.purchase.dto.CancelPurchaseParams;
import com.simber.purchase.dto.CreatePurchaseParams;
import com.simber.purchase.entities.PurchaseEntity;
import org.springframework.data.domain.Slice;

import java.util.Collection;

public interface PurchaseService {

    PurchaseEntity create(Long userId, CreatePurchaseParams params);

    void cancel(CancelPurchaseParams params);

    PurchaseEntity getById(Long id);

    Collection<PurchaseEntity> getAll(Long userId, Integer offset, Integer limit);

    void updateStatusToPaid(Long paymentId);
}
